std::__detail::_Hash_node_base Struct Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_Hash_node_base:
[legend]

## Public Member Functions

| _Hash_node_base (_Hash_node_base *__next) noexcept

## Public Attributes

_Hash_node_base * | _M_nxt

## Detailed Description

struct _Hash_node_base

Nodes, used to wrap elements stored in the hash table. A policy template parameter of class template _Hashtable controls whether nodes also store a hash code. In some cases (e.g. strings) this may be a performance win.

Definition at line 230 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h